Summary:	Scripts for managing .spec files and building RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do zarządznia plikami .spec i budowania RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Name:		rpm-build-tools
Version:	4.5
Release:	10
License:	GPL
Group:		Applications/File
Group:		Base
Source0:	builder.sh
Source1:	adapter.awk
Source2:	adapter.sh
Source3:	pldnotify.awk
Source4:	shrc.sh
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Requires:	git-core >= 1.7
Requires:	grep
Requires:	less
Requires:	perl-base
Requires:	rpm-build
Requires:	rpmbuild(macros) >= 1.539
Requires:	sed >= 4.0
Requires:	util-linux
Requires:	wget
Suggests:	rpm-specdump >= 0.3
Suggests:	schedtool
Suggests:	vim-syntax-spec
Conflicts:	mktemp < 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Scripts for managing .spec files and building RPM packages.

%description -l de.UTF-8
Scripts fürs Bauen RPM-Pakete.

%description -l pl.UTF-8
Skrypty pomocnicze do zarządzania plikami .spec i do budowania RPM-ów.

%description -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%prep
%setup -qcT
cp -p %{SOURCE0} %{SOURCE2} .
cp -p %{SOURCE1} adapter.awk
cp -p %{SOURCE3} pldnotify.awk

%{__sed} -i -e 's,^adapter=.*/adapter.awk,adapter=%{_libdir}/adapter.awk,' adapter.sh

%{__sed} -i -e '/^VERSION=/s,\([^/]\+\)/.*",\1-RELEASE",' builder.sh adapter.sh
%{__sed} -i -e '/\tRCSID =/,/^\trev =/d;/\tVERSION = /s,\([^/]\+\)/.*,\1-RELEASE",' adapter.awk

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/shrc.d}
cp -p adapter.awk $RPM_BUILD_ROOT%{_libdir}/adapter.awk
install -p pldnotify.awk $RPM_BUILD_ROOT%{_bindir}
install -p builder.sh $RPM_BUILD_ROOT%{_bindir}/builder
install -p adapter.sh $RPM_BUILD_ROOT%{_bindir}/adapter
install -p %{SOURCE4} $RPM_BUILD_ROOT/etc/shrc.d/rpm-build.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/builder
%attr(755,root,root) %{_bindir}/adapter
%attr(755,root,root) %{_bindir}/pldnotify.awk
/etc/shrc.d/rpm-build.sh
%{_libdir}/adapter.awk
%changelog
* Thu Aug 01 2013 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/rpm-build-tools.git;a=log;h=master

* Thu Aug 01 2013 Marcin Krol <hawk@tld-linux.org> 2454dc8
- disable color logging, color codes make buildlogs look like crap
- always overwrite log file, do not append

* Tue Jul 16 2013 Marcin Krol <hawk@tld-linux.org> 52c6968
- PLD merge... hope nothing will got broken

* Thu Oct 25 2012 Marcin Krol <hawk@tld-linux.org> 5a9b18b
- merged changes from PLD
- TODO: tldize shrc.sh if you are using it :)

* Fri Aug 10 2012 Bartosz Świątek <shadzik@tld-linux.org> b3c228b
- -q is better than >/dev/null

* Fri Aug 10 2012 Bartosz Świątek <shadzik@tld-linux.org> 3e9a7bf
- git pul is overkill, use git fetch --tags instead to get the latest
  tag list

* Wed Jul 11 2012 Marcin Krol <hawk@tld-linux.org> d1bb439
- back to .sh files

* Wed Jul 11 2012 Marcin Krol <hawk@tld-linux.org> d8b9528
- mv

* Wed Jul 11 2012 Marcin Krol <hawk@tld-linux.org> 93ab333
- merged from PLD, tldized

* Wed Jul 11 2012 Marcin Krol <hawk@tld-linux.org> fc88adc
- back to rpm-build-tools repo

* Tue Jul 10 2012 Bartosz Świątek <shadzik@tld-linux.org> 7f1d8f9
- argh, that shouldn't shift, it doesn't take any values

* Tue Jul 10 2012 Bartosz Świątek <shadzik@tld-linux.org> d149169
- add -s, --skip-pull option to skip git pull when you're sure that the repo is already up-to-date (is a little faster)

* Tue Jul 10 2012 Bartosz Świątek <shadzik@tld-linux.org> a647876
- pull before geting tag ;)

* Tue Jul 10 2012 Bartosz Świątek <shadzik@tld-linux.org> ba21087
- works with git, call in main rpm dir (symlink)

* Tue Jul 10 2012 Bartosz Świątek <shadzik@tld-linux.org> 2c4fd14
- fix -at option with git (get last git tag)

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> c8d4d84
- allow manually specifying if PLD or TLD git/df should be used
- visual cosmetics (keep 80 columns word wrap in help)

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> 87057b4
- changelog fix

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> fb1391c
- no need for separate builder scripts and wrapper

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> 2228623
- tldized

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> b72f89c
- git version of PLD builder

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> 0ba56ae
- we want symlinks created automagically

